---
title: "Install Doom Emacs on Windows"
date: 2023-07-06T06:13:00-06:00
tags:
  - windows
  - emacs
toc: true
---

## Requirements

- Git
- PowerShell
- winget

## Install vanilla Emacs and dependencies

Emacs:

```powershell
winget install GNU.Emacs
winget install BurntSushi.ripgrep.GNU
winget install sharkdp.fd
```

These binaries will be installed to the following locations:

- emacs   ==> `C:\Program Files\Emacs\emacs-28.2\bin\emacs.exe`
- ripgrep ==> `C:\Users\serio\AppData\Local\Microsoft\WinGet\Links\rg.exe`
- fd      ==> `C:\Users\serio\AppData\Local\Microsoft\WinGet\Links\fd.exe`

## Clone and install Doom Emacs

In user's home directory:

```powershell
git clone --depth 1 https://github.com/doomemacs/doomemacs.git .config\emacs
.\.config\emacs\bin\doom install
```

Create symbolic link:

```powershell
Remove-Item C:\Users\serio\AppData\Roaming\.emacs.d
New-Item -ItemType SymbolicLink -Path "C:\Users\serio\AppData\Roaming\.emacs.d" -Target "C:\Users\serio\.config\emacs"
```

## Install all-the-icons fonts

1. Run Emacs.
2. `M-x all-the-icons-install-fonts`
3. Select directory to install fonts to (e.g., `C:\Users\serio\AppData\Roaming\.fonts`).
4. Open fonts directory in File Explorer.
5. Select all fonts in directory, right click on them, and select Install to install them to the system.
6. Restart Emacs.

## Set environment variables

1. Open File Explorer
2. Go to This PC
3. Right click on background, select 'Show more options', then select 'Properties'.
4. On Settings menu, select 'Advanced system settings'.
5. In the System Properties window, select 'Environment Variables...'.
6. In the Environment Variables window, select the 'Path' variable under 'User variables', and select 'Edit...'.
7. Select 'New...'.
8. Add the following paths:
   - `C:\Program Files\Emacs\emacs-28.2\bin`
   - `%USERPROFILE%\.config\emacs\bin`

