---
title: "Mount Qcow2 Image"
date: 2023-03-31T22:57:29-05:00
tags:
  - qcow2
  - qemu
  - libvirt
  - virtualization
---

Enable NBD on the host:
```shell
modprobe nbd max_part=8
```

Connect qcow2 image as a network block device:
```shell
qemu-nbd --connect=/dev/nbd0 /path/to/image.qcow2
```

Find the VM's partitions:
```shell
fdisk /dev/nbd0 -l
```

Mount partition from the VM:
```shell
mount /dev/nbd0p3 /mnt/point
```

To unmount:
```shell
umount /mnt/point
qemu-nbd --disconnect /dev/nbd0
rmmod nbd
```
