---
title: "Resize Qcow2 Image"
date: 2023-03-31T22:45:21-05:00
tags:
 - qemu
 - virtualization
 - libvirt
 - qcow2
---

Install guestfs-tools (required for virt-resize command):
```shell
sudo dnf install -y guestfs-tools
```

To resize qcow2 images, you'll have to create a new qcow2 image with the size you want, then use `virt-resize` on the old qcow2 image to the new one.

You'll need to know the root partition within the old qcow2 image.

Create a new qcow2 image with the size you want:
```shell
qemu-img create -f qcow2 -o preallocation=metadata newdisk.qcow2 100G
```

Now resize the old one to the new one:
```shell
virt-resize --expand /dev/vda3 olddisk.qcow2 newdisk.qcow2
```

Once you boot into the new qcow2 image, you'll probably have to adjust the size of the logical volume if it has LVM:
```shell
sudo lvresize -l +100%FREE /dev/mapper/sysvg-root
```

Then resize the XFS root partition within the logical volume:
```shell
sudo xfs_growfs /dev/mapper/sysvg-root
```
